MAB2::Parser::RAW(3pm)

NAME
MAB2::Parser::RAW - MAB2 RAW format parser

SYNOPSIS
MAB2::Parser::RAW is a parser for raw MAB2 records.

MAB2::Parser::RAW expects UTF-8 encoded files as input. Otherwise provide a filehande with a specified I/O layer.

    use MAB2::Parser::RAW;

    my $parser = MAB2::Parser::RAW->new( $filename );

    while ( my $record_hash = $parser->next() ) {
        # do something
    }

Arguments

"file"
    Path to file with MAB2 Band records.

"fh"
    Open filehandle for file with MAB2 Band records.

METHODS

  new($filename | $filehandle)

  next()
Reads the next record from MAB2 input stream. Returns a Perl hash.

  _decode($record)
Deserialize a raw MAB2 record to an ARRAY of ARRAYs.

SEEALSO
Catmandu::Importer::MAB2.

AUTHOR
Johann Rolschewski <jorol@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Johann Rolschewski.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.